Comparing builds

Builds builder@2022-07-04 18:48:17Z on debian-11 and builder@2022-01-02 19:31:10Z on debian-11

Compare in reverse direction

Opam packages removed

New opam packages installed

bigarray-compat.1.0.0
mmap.1.1.0

Opam packages with version changes

base.v0.15.0->v0.14.2
bigstringaf.0.9.0->0.8.0
builder.0.3.2~dev->0.3.1~dev
ca-certs-nss.3.77->3.71.0.1
cmdliner.1.1.1->1.0.4
conf-gmp.4->3
cppo.1.6.9->1.6.8
cstruct.6.1.0->6.0.1
cstruct-lwt.6.1.0->6.0.1
cstruct-sexp.6.1.0->6.0.1
dns.6.2.2->6.1.3
dns-client.6.2.2->6.1.3
domain-name.0.4.0->0.3.1
dune.3.3.1->2.9.1
dune-configurator.3.3.1->2.9.1
happy-eyeballs.0.3.0->0.1.2
happy-eyeballs-lwt.0.3.0->0.1.2
http-lwt-client.0.0.6->0.0.5
ipaddr.5.3.0->5.2.0
ipaddr-sexp.5.3.0->5.2.0
lwt.5.6.1->5.5.0
macaddr.5.3.0->5.2.0
macaddr-cstruct.5.3.0->5.2.0
metrics.0.4.0->0.3.0
mirage-clock.4.2.0->4.0.0
mirage-crypto.0.10.6->0.10.5
mirage-crypto-ec.0.10.6->0.10.5
mirage-crypto-pk.0.10.6->0.10.5
mirage-crypto-rng.0.10.6->0.10.5
mirage-kv.4.0.1->4.0.0
mtime.1.4.0->1.3.0
ocaml.4.14.0->4.13.1
ocaml-base-compiler.4.14.0->4.13.1
ocamlbuild.0.14.1->0.14.0
ocamlfind.1.9.5->1.9.1
parsexp.v0.15.0->v0.14.1
ppx_cstruct.6.1.0->6.0.1
ppx_sexp_conv.v0.15.1->v0.14.3
ppxlib.0.27.0->0.24.0
ptime.1.0.0->0.8.6
sexplib.v0.15.0->v0.14.0
sexplib0.v0.15.1->v0.14.0
tcpip.7.1.1->7.0.1
tls.0.15.3->0.15.2
tls-mirage.0.15.3->0.15.2
topkg.1.0.5->1.0.4
uuidm.0.9.8->0.9.7
x509.0.16.0->0.15.2

Opam packages with changes in their opam file

num.1.4

install instruction (without common prefix) modifications, old:
["ocamlfind" "remove" "num"]
["ocamlfind" "remove" "num-top"]
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]
new
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]

lru.0.3.0 (and additional changes)


logs.0.7.0 (and additional changes)


Unchanged opam packages

angstrom.0.15.0
arp.3.0.0
asn1-combinators.0.2.6
astring.0.8.5
base-bigarray.base
base-bytes.base
base-threads.base
base-unix.base
base64.3.5.0
bheap.2.0.0
bos.0.2.1
ca-certs.0.2.2
conf-gmp-powm-sec.3
conf-pkg-config.2
csexp.1.5.1
duration.0.2.0
eqaf.0.8
ethernet.3.0.0
faraday.0.8.1
faraday-lwt.0.8.1
faraday-lwt-unix.0.8.1
fmt.0.9.0
fpath.0.7.3
gmap.0.3.0
h2.0.8.0
hkdf.1.0.4
hpack.0.2.0
httpaf.0.7.1
lwt-dllist.1.0.1
mirage-flow.3.0.0
mirage-net.4.0.0
mirage-no-solo5.1
mirage-no-xen.1
mirage-profile.0.9.1
mirage-random.3.0.0
mirage-time.3.0.0
ocaml-compiler-libs.v0.12.4
ocaml-config.2
ocaml-options-vanilla.1
ocaml-syntax-shims.1.0.0
ocplib-endian.1.2
pbkdf.1.2.0
ppx_derivers.1.2.1
psq.0.2.0
randomconv.0.1.3
result.1.5
rresult.0.7.0
seq.base
stdlib-shims.0.3.0
zarith.1.12

Environment variables added

Environment variables removed

Environment variables changed

System packages added

libfile-fcntllock-perl 0.22-3+b7
liblocale-gettext-perl 1.07-4+b1

System packages removed

autoconf 2.69-14
automake 1:1.16.3-2
autopoint 0.21-4
autotools-dev 20180224.1+nmu1
bsdextrautils 2.36.1-8+deb11u1
debhelper 13.3.4
dh-autoreconf 20
dh-exec 0.23.2
dh-strip-nondeterminism 1.12.0-1
dpkg-dev 1.20.10
dwz 0.13+20210201-1
file 1:5.39-3
gettext 0.21-4
gettext-base 0.21-4
groff-base 1.22.4-6
intltool-debian 0.35.0+20060710.5
libarchive-zip-perl 1.68-1
libdebhelper-perl 13.3.4
libelf1 0.183-1
libfile-stripnondeterminism-perl 1.12.0-1
libmagic-mgc 1:5.39-3
libmagic1 1:5.39-3
libpipeline1 1.5.3-1
libsigsegv2 2.13-1
libsub-override-perl 0.09-2
libtool 2.4.6-15
libuchardet0 0.0.7-1
m4 1.4.18-5
man-db 2.9.4-2
po-debconf 1.0.21+nmu1
sensible-utils 0.0.14

System packages changed

builder 0.3.1->0.3.0-5-g087108a
libc-dev-bin 2.31-13+deb11u3->2.31-13+deb11u2
libc6 2.31-13+deb11u3->2.31-13+deb11u2
libc6-dev 2.31-13+deb11u3->2.31-13+deb11u2
libdpkg-perl 1.20.10->1.20.9
libexpat1 2.2.10-2+deb11u3->2.2.10-2
libldap-2.4-2 2.4.57+dfsg-3+deb11u1->2.4.57+dfsg-3
libsasl2-2 2.1.27+dfsg-2.1+deb11u1->2.1.27+dfsg-2.1
libsasl2-modules-db 2.1.27+dfsg-2.1+deb11u1->2.1.27+dfsg-2.1
libxml2 2.9.10+dfsg-6.7+deb11u2->2.9.10+dfsg-6.7
linux-libc-dev 5.10.120-1->5.10.84-1
openssl 1.1.1n-0+deb11u3->1.1.1k-1+deb11u1
orb 0.0.1-3-gf4833d3->0.0.1-a16d89b
xz-utils 5.2.5-2.1~deb11u1->5.2.5-2